import { AppModel } from '../../../AppModel/AppModel';
import { IComponentModel } from '../../../AppModel/IAppModel';
import { BaseLeafOperation } from '../../type';
export declare type PasteComponentLeafOperationContext = {
    parentId: string;
    slot: string;
    component: IComponentModel;
    copyTimes: number;
};
export declare class PasteComponentLeafOperation extends BaseLeafOperation<PasteComponentLeafOperationContext> {
    private componentCopy;
    do(prev: AppModel): AppModel;
    redo(prev: AppModel): AppModel;
    undo(prev: AppModel): AppModel;
    private pasteComponent;
}
